1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. clb
  6. Listener
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.32
published on Thursday, Apr 23, 2026 by Volcengine

    The listener monitors user access requests received by the CLB instance based on the specified protocol and port. CLB forwards access requests to healthy backend servers in the associated backend server group according to the scheduling algorithm configured for the listener.

    Example Usage

    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    resources:
      clbListenerDemo:
        type: volcenginecc:clb:Listener
        name: ClbListenerDemo
        properties:
          aclIds:
            - acl-mjd01crvppts5smt1bsxxxxx
          aclStatus: on
          aclType: black
          connectionDrainEnabled: on
          connectionDrainTimeout: 900
          description: ClbListenerDemo description
          enabled: on
          establishedTimeout: 300
          serverGroupId: rsp-rs11ie8u6neov0x58bxxxxx
          healthCheck:
            enabled: on
            healthy_threshold: 3
            interval: 5
            timeout: 2
            unhealthy_threshold: 3
            port: 0
            udp_request: test
            udp_expect: test
          listenerName: ClbListenerDemo
          loadBalancerId: clb-rs1187938g00v0x58nxxxxx
          persistenceTimeout: 1000
          persistenceType: source_ip
          protocol: UDP
          port: 5001
          scheduler: wrr
          bandwidth: 1
          proxyProtocolType: standard
          tags:
            - key: env
              value: test
    

    Create Listener Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new Listener(name: string, args: ListenerArgs, opts?: CustomResourceOptions);
    @overload
    def Listener(resource_name: str,
                 args: ListenerArgs,
                 opts: Optional[ResourceOptions] = None)
    
    @overload
    def Listener(resource_name: str,
                 opts: Optional[ResourceOptions] = None,
                 load_balancer_id: Optional[str] = None,
                 server_group_id: Optional[str] = None,
                 protocol: Optional[str] = None,
                 port: Optional[int] = None,
                 health_check: Optional[ListenerHealthCheckArgs] = None,
                 ca_enabled: Optional[str] = None,
                 cert_center_certificate_id: Optional[str] = None,
                 certificate_id: Optional[str] = None,
                 certificate_source: Optional[str] = None,
                 client_body_timeout: Optional[int] = None,
                 client_header_timeout: Optional[int] = None,
                 connection_drain_enabled: Optional[str] = None,
                 connection_drain_timeout: Optional[int] = None,
                 cookie: Optional[str] = None,
                 cps: Optional[int] = None,
                 description: Optional[str] = None,
                 domain_extensions: Optional[Sequence[ListenerDomainExtensionArgs]] = None,
                 enabled: Optional[str] = None,
                 end_port: Optional[int] = None,
                 established_timeout: Optional[int] = None,
                 http2_enabled: Optional[str] = None,
                 acl_ids: Optional[Sequence[str]] = None,
                 proxy_read_timeout: Optional[int] = None,
                 listener_name: Optional[str] = None,
                 ca_certificate_id: Optional[str] = None,
                 max_connections: Optional[int] = None,
                 persistence_timeout: Optional[int] = None,
                 persistence_type: Optional[str] = None,
                 bandwidth: Optional[int] = None,
                 acl_type: Optional[str] = None,
                 proxy_connect_timeout: Optional[int] = None,
                 proxy_protocol_type: Optional[str] = None,
                 keepalive_timeout: Optional[int] = None,
                 proxy_send_timeout: Optional[int] = None,
                 scheduler: Optional[str] = None,
                 security_policy_id: Optional[str] = None,
                 send_timeout: Optional[int] = None,
                 acl_status: Optional[str] = None,
                 start_port: Optional[int] = None,
                 tags: Optional[Sequence[ListenerTagArgs]] = None)
    func NewListener(ctx *Context, name string, args ListenerArgs, opts ...ResourceOption) (*Listener, error)
    public Listener(string name, ListenerArgs args, CustomResourceOptions? opts = null)
    public Listener(String name, ListenerArgs args)
    public Listener(String name, ListenerArgs args, CustomResourceOptions options)
    
    type: volcenginecc:clb:Listener
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ListenerArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ListenerArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ListenerArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ListenerArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ListenerArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Listener Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The Listener resource accepts the following input properties:

    LoadBalancerId string
    ID of the CLB instance.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    AclIds List<string>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions List<Volcengine.ListenerDomainExtension>
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck Volcengine.ListenerHealthCheck
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Tags List<Volcengine.ListenerTag>
    LoadBalancerId string
    ID of the CLB instance.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    AclIds []string
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions []ListenerDomainExtensionArgs
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck ListenerHealthCheckArgs
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Tags []ListenerTagArgs
    loadBalancerId String
    ID of the CLB instance.
    port Integer
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol String
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    serverGroupId String
    ID of the backend server group associated with the listener.
    aclIds List<String>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus String
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType String
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth Integer
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId String
    CA certificate for mutual authentication.
    caEnabled String
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId String
    Certificate ID from Certificate Center.
    certificateId String
    Certificate ID from the CLB certificate management module.
    certificateSource String
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout Integer
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout Integer
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled String
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout Integer
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie String
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps Integer
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    description String
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions List<ListenerDomainExtension>
    enabled String
    Enable listener. on (default): enabled. off: disabled.
    endPort Integer
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout Integer
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck ListenerHealthCheck
    Health check information.
    http2Enabled String
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepaliveTimeout Integer
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerName String
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    maxConnections Integer
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout Integer
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType String
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    proxyConnectTimeout Integer
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType String
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout Integer
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout Integer
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    scheduler String
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId String
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout Integer
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    startPort Integer
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    tags List<ListenerTag>
    loadBalancerId string
    ID of the CLB instance.
    port number
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    serverGroupId string
    ID of the backend server group associated with the listener.
    aclIds string[]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth number
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId string
    CA certificate for mutual authentication.
    caEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId string
    Certificate ID from Certificate Center.
    certificateId string
    Certificate ID from the CLB certificate management module.
    certificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout number
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout number
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout number
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps number
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions ListenerDomainExtension[]
    enabled string
    Enable listener. on (default): enabled. off: disabled.
    endPort number
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout number
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck ListenerHealthCheck
    Health check information.
    http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepaliveTimeout number
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    maxConnections number
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout number
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    proxyConnectTimeout number
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout number
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout number
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout number
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    startPort number
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    tags ListenerTag[]
    load_balancer_id str
    ID of the CLB instance.
    port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol str
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    server_group_id str
    ID of the backend server group associated with the listener.
    acl_ids Sequence[str]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    acl_status str
    Enable access control. Values: on: enabled. off (default): disabled.
    acl_type str
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    ca_certificate_id str
    CA certificate for mutual authentication.
    ca_enabled str
    Enable mutual authentication. on: enabled. off (default): disabled.
    cert_center_certificate_id str
    Certificate ID from Certificate Center.
    certificate_id str
    Certificate ID from the CLB certificate management module.
    certificate_source str
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    client_body_timeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    client_header_timeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connection_drain_enabled str
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connection_drain_timeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie str
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    description str
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domain_extensions Sequence[ListenerDomainExtensionArgs]
    enabled str
    Enable listener. on (default): enabled. off: disabled.
    end_port int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    established_timeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    health_check ListenerHealthCheckArgs
    Health check information.
    http2_enabled str
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepalive_timeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listener_name str
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    max_connections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistence_timeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistence_type str
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    proxy_connect_timeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxy_protocol_type str
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxy_read_timeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxy_send_timeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    scheduler str
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    security_policy_id str
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    send_timeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    start_port int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    tags Sequence[ListenerTagArgs]
    loadBalancerId String
    ID of the CLB instance.
    port Number
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol String
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    serverGroupId String
    ID of the backend server group associated with the listener.
    aclIds List<String>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus String
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType String
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth Number
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId String
    CA certificate for mutual authentication.
    caEnabled String
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId String
    Certificate ID from Certificate Center.
    certificateId String
    Certificate ID from the CLB certificate management module.
    certificateSource String
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout Number
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout Number
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled String
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout Number
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie String
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps Number
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    description String
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions List<Property Map>
    enabled String
    Enable listener. on (default): enabled. off: disabled.
    endPort Number
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout Number
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck Property Map
    Health check information.
    http2Enabled String
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepaliveTimeout Number
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerName String
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    maxConnections Number
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout Number
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType String
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    proxyConnectTimeout Number
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType String
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout Number
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout Number
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    scheduler String
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId String
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout Number
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    startPort Number
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    tags List<Property Map>

    Outputs

    All input properties are implicitly available as output properties. Additionally, the Listener resource produces the following output properties:

    CreatedTime string
    Creation time of the listener.
    Id string
    The provider-assigned unique ID for this managed resource.
    ListenerId string
    Listener ID.
    RuleIds List<string>
    List of rule IDs bound to the listener.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    CreatedTime string
    Creation time of the listener.
    Id string
    The provider-assigned unique ID for this managed resource.
    ListenerId string
    Listener ID.
    RuleIds []string
    List of rule IDs bound to the listener.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    createdTime String
    Creation time of the listener.
    id String
    The provider-assigned unique ID for this managed resource.
    listenerId String
    Listener ID.
    ruleIds List<String>
    List of rule IDs bound to the listener.
    status String
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    updatedTime String
    Last operation time of the listener.
    wafProtectionEnabled String
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    createdTime string
    Creation time of the listener.
    id string
    The provider-assigned unique ID for this managed resource.
    listenerId string
    Listener ID.
    ruleIds string[]
    List of rule IDs bound to the listener.
    status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    updatedTime string
    Last operation time of the listener.
    wafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    created_time str
    Creation time of the listener.
    id str
    The provider-assigned unique ID for this managed resource.
    listener_id str
    Listener ID.
    rule_ids Sequence[str]
    List of rule IDs bound to the listener.
    status str
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    updated_time str
    Last operation time of the listener.
    waf_protection_enabled str
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    createdTime String
    Creation time of the listener.
    id String
    The provider-assigned unique ID for this managed resource.
    listenerId String
    Listener ID.
    ruleIds List<String>
    List of rule IDs bound to the listener.
    status String
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    updatedTime String
    Last operation time of the listener.
    wafProtectionEnabled String
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.

    Look up Existing Listener Resource

    Get an existing Listener resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: ListenerState, opts?: CustomResourceOptions): Listener
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            acl_ids: Optional[Sequence[str]] = None,
            acl_status: Optional[str] = None,
            acl_type: Optional[str] = None,
            bandwidth: Optional[int] = None,
            ca_certificate_id: Optional[str] = None,
            ca_enabled: Optional[str] = None,
            cert_center_certificate_id: Optional[str] = None,
            certificate_id: Optional[str] = None,
            certificate_source: Optional[str] = None,
            client_body_timeout: Optional[int] = None,
            client_header_timeout: Optional[int] = None,
            connection_drain_enabled: Optional[str] = None,
            connection_drain_timeout: Optional[int] = None,
            cookie: Optional[str] = None,
            cps: Optional[int] = None,
            created_time: Optional[str] = None,
            description: Optional[str] = None,
            domain_extensions: Optional[Sequence[ListenerDomainExtensionArgs]] = None,
            enabled: Optional[str] = None,
            end_port: Optional[int] = None,
            established_timeout: Optional[int] = None,
            health_check: Optional[ListenerHealthCheckArgs] = None,
            http2_enabled: Optional[str] = None,
            keepalive_timeout: Optional[int] = None,
            listener_id: Optional[str] = None,
            listener_name: Optional[str] = None,
            load_balancer_id: Optional[str] = None,
            max_connections: Optional[int] = None,
            persistence_timeout: Optional[int] = None,
            persistence_type: Optional[str] = None,
            port: Optional[int] = None,
            protocol: Optional[str] = None,
            proxy_connect_timeout: Optional[int] = None,
            proxy_protocol_type: Optional[str] = None,
            proxy_read_timeout: Optional[int] = None,
            proxy_send_timeout: Optional[int] = None,
            rule_ids: Optional[Sequence[str]] = None,
            scheduler: Optional[str] = None,
            security_policy_id: Optional[str] = None,
            send_timeout: Optional[int] = None,
            server_group_id: Optional[str] = None,
            start_port: Optional[int] = None,
            status: Optional[str] = None,
            tags: Optional[Sequence[ListenerTagArgs]] = None,
            updated_time: Optional[str] = None,
            waf_protection_enabled: Optional[str] = None) -> Listener
    func GetListener(ctx *Context, name string, id IDInput, state *ListenerState, opts ...ResourceOption) (*Listener, error)
    public static Listener Get(string name, Input<string> id, ListenerState? state, CustomResourceOptions? opts = null)
    public static Listener get(String name, Output<String> id, ListenerState state, CustomResourceOptions options)
    resources:  _:    type: volcenginecc:clb:Listener    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    AclIds List<string>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    CreatedTime string
    Creation time of the listener.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions List<Volcengine.ListenerDomainExtension>
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck Volcengine.ListenerHealthCheck
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerId string
    Listener ID.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    LoadBalancerId string
    ID of the CLB instance.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    RuleIds List<string>
    List of rule IDs bound to the listener.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    Tags List<Volcengine.ListenerTag>
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    AclIds []string
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    AclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    AclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    Bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    CaCertificateId string
    CA certificate for mutual authentication.
    CaEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    CertCenterCertificateId string
    Certificate ID from Certificate Center.
    CertificateId string
    Certificate ID from the CLB certificate management module.
    CertificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    ClientBodyTimeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ClientHeaderTimeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ConnectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    ConnectionDrainTimeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    Cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    Cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    CreatedTime string
    Creation time of the listener.
    Description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    DomainExtensions []ListenerDomainExtensionArgs
    Enabled string
    Enable listener. on (default): enabled. off: disabled.
    EndPort int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    EstablishedTimeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    HealthCheck ListenerHealthCheckArgs
    Health check information.
    Http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    KeepaliveTimeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ListenerId string
    Listener ID.
    ListenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    LoadBalancerId string
    ID of the CLB instance.
    MaxConnections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    PersistenceTimeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    PersistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    Port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    Protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    ProxyConnectTimeout int
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    ProxyReadTimeout int
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ProxySendTimeout int
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    RuleIds []string
    List of rule IDs bound to the listener.
    Scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    SecurityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    SendTimeout int
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ServerGroupId string
    ID of the backend server group associated with the listener.
    StartPort int
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    Status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    Tags []ListenerTagArgs
    UpdatedTime string
    Last operation time of the listener.
    WafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    aclIds List<String>
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus String
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType String
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth Integer
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId String
    CA certificate for mutual authentication.
    caEnabled String
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId String
    Certificate ID from Certificate Center.
    certificateId String
    Certificate ID from the CLB certificate management module.
    certificateSource String
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout Integer
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout Integer
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled String
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout Integer
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie String
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps Integer
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    createdTime String
    Creation time of the listener.
    description String
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions List<ListenerDomainExtension>
    enabled String
    Enable listener. on (default): enabled. off: disabled.
    endPort Integer
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout Integer
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck ListenerHealthCheck
    Health check information.
    http2Enabled String
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepaliveTimeout Integer
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerId String
    Listener ID.
    listenerName String
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    loadBalancerId String
    ID of the CLB instance.
    maxConnections Integer
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout Integer
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType String
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port Integer
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol String
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxyConnectTimeout Integer
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType String
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout Integer
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout Integer
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ruleIds List<String>
    List of rule IDs bound to the listener.
    scheduler String
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId String
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout Integer
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    serverGroupId String
    ID of the backend server group associated with the listener.
    startPort Integer
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status String
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags List<ListenerTag>
    updatedTime String
    Last operation time of the listener.
    wafProtectionEnabled String
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    aclIds string[]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    aclStatus string
    Enable access control. Values: on: enabled. off (default): disabled.
    aclType string
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth number
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    caCertificateId string
    CA certificate for mutual authentication.
    caEnabled string
    Enable mutual authentication. on: enabled. off (default): disabled.
    certCenterCertificateId string
    Certificate ID from Certificate Center.
    certificateId string
    Certificate ID from the CLB certificate management module.
    certificateSource string
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    clientBodyTimeout number
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    clientHeaderTimeout number
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connectionDrainEnabled string
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connectionDrainTimeout number
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie string
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps number
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    createdTime string
    Creation time of the listener.
    description string
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domainExtensions ListenerDomainExtension[]
    enabled string
    Enable listener. on (default): enabled. off: disabled.
    endPort number
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    establishedTimeout number
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    healthCheck ListenerHealthCheck
    Health check information.
    http2Enabled string
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepaliveTimeout number
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listenerId string
    Listener ID.
    listenerName string
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    loadBalancerId string
    ID of the CLB instance.
    maxConnections number
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistenceTimeout number
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistenceType string
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port number
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol string
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxyConnectTimeout number
    Connection establishment timeout between CLB and backend server. Recommended to be greater than the health check timeout. Range: 4–120 seconds, default is 4. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxyProtocolType string
    Enable Proxy-Protocol. This parameter is valid only when Protocol is TCP or UDP. Values: off (default): disabled. standard: enabled.
    proxyReadTimeout number
    Timeout for CLB to read responses from backend servers. This timeout applies only between two consecutive read operations, not for the entire response transmission. Value range: 30–3600 seconds. Default: 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    proxySendTimeout number
    Timeout for CLB to transmit requests to backend servers. This timeout applies only between two consecutive write operations, not the entire request transmission process. Value range: 30–3600 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    ruleIds string[]
    List of rule IDs bound to the listener.
    scheduler string
    Scheduling algorithm used by the listener. wrr (default): Weighted round robin. wlc: Weighted least connections. sh: Source address hash.
    securityPolicyId string
    TLS security policy for HTTPS listeners. This parameter is valid only when Protocol is set to HTTPS. Values: defaultpolicy (default): supports SSL v3, TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy10: supports TLS v1.0, TLS v1.1, TLS v1.2. tlscipherpolicy11: supports TLS v1.1, TLS v1.2. tlscipherpolicy12: supports TLS v1.2. tlscipherpolicy12strict: supports TLS v1.2.
    sendTimeout number
    Timeout for CLB to send responses to the client. This timeout applies only between two consecutive write operations, not the entire response transmission. Range: 1–3600 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    serverGroupId string
    ID of the backend server group associated with the listener.
    startPort number
    Start port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required.
    status string
    Listener status. Creating: being created. Active: running. Deleting: being deleted. Disabled: disabled.
    tags ListenerTag[]
    updatedTime string
    Last operation time of the listener.
    wafProtectionEnabled string
    Send traffic passing through the Layer 7 listener to the Web Application Firewall for inspection and filtering. on: yes. off: no.
    acl_ids Sequence[str]
    ID of the access control policy group bound to the listener. Returned only when the AclStatus parameter is set to on.
    acl_status str
    Enable access control. Values: on: enabled. off (default): disabled.
    acl_type str
    Access control mode. white: Allowlist. black: Denylist. This parameter is valid only when the AclStatus parameter is on.
    bandwidth int
    Bandwidth limit for the listener, which means this listener exclusively uses the bandwidth of the CLB instance. Unit: Mbps. -1 (default): This listener does not exclusively use CLB bandwidth and shares the non-exclusive bandwidth of the CLB instance with other listeners. Value range: 1 to the non-exclusive bandwidth of the CLB instance.
    ca_certificate_id str
    CA certificate for mutual authentication.
    ca_enabled str
    Enable mutual authentication. on: enabled. off (default): disabled.
    cert_center_certificate_id str
    Certificate ID from Certificate Center.
    certificate_id str
    Certificate ID from the CLB certificate management module.
    certificate_source str
    Certificate source. clb (default): certificate uploaded to CLB. cert_center: certificate uploaded to Certificate Center. user: certificate uploaded by user.
    client_body_timeout int
    Timeout for reading the client request body. This timeout applies only between two consecutive read operations, not the entire request transmission. Range: 30–120 seconds, default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    client_header_timeout int
    Timeout for reading the client request header. Value range: 30–120 seconds. Default is 60 seconds. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    connection_drain_enabled str
    Whether the listener enables graceful connection termination. on: enabled. off: not enabled. When Protocol returns HTTP or HTTPS, this parameter always returns off.
    connection_drain_timeout int
    Timeout for graceful connection termination, in seconds. If ConnectionDrainEnabled returns off, this parameter returns 0.
    cookie str
    Name of the session persistence cookie configured on the backend server. This parameter is valid and required only when PersistenceType is set to server. Only letters, numbers, underscores (_), and hyphens (-) are allowed. Length must be between 1 and 200 characters.
    cps int
    Maximum number of new connections per second. -1 (default): No limit, which means the maximum number of new connections allowed by the CLB instance. Value range: 1 to the maximum number of new connections allowed by the CLB instance.
    created_time str
    Creation time of the listener.
    description str
    Listener description. Must start with a letter, digit, or Chinese character. Can include letters, digits, Chinese characters, and the following special characters: comma (,), period (.), underscore (_), space ( ), equals sign (=), hyphen (-), Chinese comma (,), and Chinese period (。). Length: 0–255 characters. If not specified, the default is an empty string.
    domain_extensions Sequence[ListenerDomainExtensionArgs]
    enabled str
    Enable listener. on (default): enabled. off: disabled.
    end_port int
    End port for all-port listening. Range: 1–65535. When Port is '0', this parameter is required and must be greater than startPort.
    established_timeout int
    Listener connection timeout. This parameter is valid only when Protocol is set to TCP or UDP. Values: TCP protocol: 10–900 seconds, default is 900 seconds. UDP protocol: 1–300 seconds, default is 90 seconds.
    health_check ListenerHealthCheckArgs
    Health check information.
    http2_enabled str
    Whether the listener enables frontend HTTP 2.0 protocol. This parameter is valid only when Protocol is set to HTTPS. Values: on: enabled. off (default): disabled.
    keepalive_timeout int
    Keep-alive timeout between the client and CLB. Range: 0–900 seconds, default is 75 seconds. 0 disables keep-alive. This parameter is valid only when Protocol is set to HTTP or HTTPS.
    listener_id str
    Listener ID.
    listener_name str
    Listener name. Must start with a letter, number, or Chinese character. Can include letters, numbers, Chinese characters, and the following special characters: period (.), underscore (_), and hyphen (-). Length must be between 1 and 128 characters. If left blank, 'Protocol-Port' will be used as the default listener name.
    load_balancer_id str
    ID of the CLB instance.
    max_connections int
    Maximum concurrent connections limit. -1 (default): unlimited (up to the maximum concurrent connections supported by the CLB instance). Value range: 1 to the maximum concurrent connections limit of the CLB instance.
    persistence_timeout int
    Session persistence timeout, in seconds. The value range depends on the PersistenceType parameter. When PersistenceType is set to source_ip, the range is 1–3600. When PersistenceType is set to insert, the range is 1–86400.
    persistence_type str
    Session persistence type. Values: off (default): session persistence disabled. source_ip: source IP address, valid only when Protocol is TCP or UDP. insert: insert Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr. server: rewrite Cookie, valid only when Protocol is HTTP or HTTPS and Scheduler is wrr.
    port int
    Port used by the listener to receive requests. Value range: 0–65535. When the Protocol parameter is 'TCP' or 'UDP', 0 is supported, which enables listening on all ports.
    protocol str
    Listener protocol. Includes: TCP, UDP, HTTP, HTTPS.
    proxy_connect_timeout int
[...]
